Run Screen
curl --request POST \
--url https://{deployment}/v1/fairness/screens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attribute": "<string>",
"purpose": "<string>",
"agent_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{deployment}/v1/fairness/screens"
payload = {
"attribute": "<string>",
"purpose": "<string>",
"agent_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attribute: '<string>',
purpose: '<string>',
agent_id: '<string>',
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z'
})
};
fetch('https://{deployment}/v1/fairness/screens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/fairness/screens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attribute' => '<string>',
'purpose' => '<string>',
'agent_id' => '<string>',
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/fairness/screens"
payload := strings.NewReader("{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/fairness/screens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/fairness/screens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"attribute": "<string>",
"market_profile": "<string>",
"profile_source": "<string>",
"legal_basis": "<string>",
"conditions": [
{
"name": "<string>",
"state": "<string>",
"detail": "<string>"
}
],
"decisions": 123,
"undisclosed": 123,
"cohorts": [
{
"value": "<string>",
"n": 123,
"allowed": 123,
"suppressed": true,
"verdict": "<string>",
"rate": 123,
"suppressed_note": "<string>",
"gap": 123,
"ratio": 123,
"z": 123
}
],
"verdict": "<string>",
"caveats": [
"<string>"
],
"id": "<string>",
"reference": "<string>",
"run_by": "<string>",
"run_at": "2023-11-07T05:31:56Z",
"purpose": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Fairness
Run Screen
Screen for disparity, and keep the run as evidence.
Who may call it: governance-officer or admin. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
fairness
/
screens
Run Screen
curl --request POST \
--url https://{deployment}/v1/fairness/screens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attribute": "<string>",
"purpose": "<string>",
"agent_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{deployment}/v1/fairness/screens"
payload = {
"attribute": "<string>",
"purpose": "<string>",
"agent_id": "<string>",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attribute: '<string>',
purpose: '<string>',
agent_id: '<string>',
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z'
})
};
fetch('https://{deployment}/v1/fairness/screens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/fairness/screens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attribute' => '<string>',
'purpose' => '<string>',
'agent_id' => '<string>',
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/fairness/screens"
payload := strings.NewReader("{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/fairness/screens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/fairness/screens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attribute\": \"<string>\",\n \"purpose\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"attribute": "<string>",
"market_profile": "<string>",
"profile_source": "<string>",
"legal_basis": "<string>",
"conditions": [
{
"name": "<string>",
"state": "<string>",
"detail": "<string>"
}
],
"decisions": 123,
"undisclosed": 123,
"cohorts": [
{
"value": "<string>",
"n": 123,
"allowed": 123,
"suppressed": true,
"verdict": "<string>",
"rate": 123,
"suppressed_note": "<string>",
"gap": 123,
"ratio": 123,
"z": 123
}
],
"verdict": "<string>",
"caveats": [
"<string>"
],
"id": "<string>",
"reference": "<string>",
"run_by": "<string>",
"run_at": "2023-11-07T05:31:56Z",
"purpose": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
